package com.ss.android.ugc.aweme.social.widget.card.permission;

import X.AnonymousClass3ZQ;
import X.AnonymousClass4ZZ;
import X.C03012Pr;
import X.C18532xB;
import X.C18812xd;
import X.DiX;
import X.LsC;
import X.M12;
import X.Qeg;
import com.bytedance.covode.number.Covode;

public final class ContactRectangleCell extends PermissionRectangleCell<DiX> {
    static {
        Covode.recordClassIndex(114765);
    }

    public final void LIZ(AnonymousClass4ZZ r2) {
        M12.LIZ(r2);
        r2.setTuxIcon(C18812xd.LIZ((LsC<? super AnonymousClass3ZQ, C03012Pr>) C18532xB.LIZ));
    }

    public final void LIZIZ(Qeg qeg) {
        M12.LIZ(qeg);
        qeg.setText(2131823213);
    }

    public final void LIZ(Qeg qeg) {
        M12.LIZ(qeg);
        qeg.setText(2131823214);
    }
}
